phpBB 3.1 Alpha1 Versione Anteprima

Varie e Novità del forum
Rispondi
Avatar utente
phpBB3
News PhpBB3
News PhpBB3
Messaggi: 93
Iscritto il: 6 lug 2013, 14:01

phpBB 3.1 Alpha1 Versione Anteprima

Messaggio da phpBB3 » 16 ott 2013, 12:57

Oggi , siamo lieti ed entusiasti di annunciare la prima versione di anteprima del prossimo phpBB 3.1, nome in codice Ascraeus.

Questa versione di anteprima è rivolto a sviluppatori di phpBB e gli utenti avanzati che desiderano aiutarci con questa importantissima fase di testing . Non è consigliabile , e non sosterremo , in esecuzione questa versione in un ambiente di produzione live .
Ulteriormente , questo segna l' inizio di una serie di miglioramenti significativi al processo di sviluppo phpBB . Il nostro nuovo sistema di estensione sostituisce MOD phpBB con un sistema di plugin flessibile che non richiede la modifica diretta del codice. Di conseguenza, l'aggiornamento forum phpBB sarà più facile che mai, con un potenziale di conflitti ridotti al minimo. Questo cambiamento ci permette anche di passare a un ciclo di rilascio di linea, con i cambiamenti più drastici al nucleo ormai avere meno impatto sulla compatibilità di mods.
Con questa versione alpha, il nuovo sistema di estensione sarà messo attraverso i suoi passi. Desideriamo che phpBB 3.1 per offrire un ambiente di estensione ricco e morbido per gli sviluppatori, fin dall'inizio. MOD autori sono invitati a convertire i loro MODs in 3.1 le estensioni e quindi ci assista con l'identificazione e le eventuali carenze, non importa quanto piccolo. E particolarmente importante che mettiamo a disposizione tutti gli eventi necessari per le estensioni per offrire lo stesso livello di flessibilità che è stato visto con MOD. Aiutaci a completare la documentazione sullo sviluppo di estensioni sul wiki se si esegue in tutte le zone scarsamente documentati.

I pacchetti instabili sono disponibili su Area51 https://area51.phpbb.com/downloads/ Informazioni sul passare da 3.0 a 3.1 (attualmente solo a scopo di test) è disponibile presso https://wiki.phpbb.com/PhpBB3.1#Moving_from_3.0_to_3.1

Si prega di notare che phpBB 3.1 ha alcuni requisiti che differiscono da phpBB 3.0:
  • PHP versione 5.3.3 o superiore
  • Estensione json di PHP
  • Solo le versioni di PostgreSQL 8.3 e superiori sono supportati


Rispondi

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite